configure: properly support DEC/Compaq compiler